View Issue Details

IDProjectCategoryView StatusLast Update
0002655ScribusFontspublic2005-11-05 13:20
ReporterringercAssigned Tofschmid  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86 LinuxOSFedora CoreOS Version3
Product Version1.3.2cvs 
Target VersionFixed in Version1.3.2cvs 
Summary0002655: Startup font scan is very slow
DescriptionThere seems to have been a regression in startup font scan speed recently. Scribus now takes more than twice as long to start on my system with 1600 fonts (the font scan takes at least three times as long as it did).

Startup time is massively greater than 1.2.x .
TagsNo tags attached.
Patch

Relationships

related to 0002128 assignedavox Cache font info for startup 
related to 0002362 closedavox Scribus hangs or crashes while searching for fonts 

Activities

ringerc

2005-10-03 16:12

reporter   ~0006885

I know this is a known issue, just getting it on the tracker to make sure it's easy to keep an eye on as work continues.

cbradney

2005-10-03 19:08

administrator   ~0006888

Fix the ondemand glyph scan stuff and the on startup scan can be removed.

fschmid

2005-10-06 06:16

administrator   ~0006930

Have a fix on my laptop, will committ this on Friday evening.

Issue History

Date Modified Username Field Change
2005-10-03 16:08 ringerc New Issue
2005-10-03 16:09 ringerc Relationship added related to 0002128
2005-10-03 16:10 ringerc Relationship added related to 0002362
2005-10-03 16:12 ringerc Note Added: 0006885
2005-10-03 19:08 cbradney Note Added: 0006888
2005-10-06 06:16 fschmid Note Added: 0006930
2005-10-06 06:16 fschmid Status new => assigned
2005-10-06 06:16 fschmid Assigned To => fschmid
2005-10-08 11:46 fschmid Status assigned => resolved
2005-10-08 11:46 fschmid Fixed in Version => 1.3.2cvs
2005-10-08 11:46 fschmid Resolution open => fixed
2005-11-05 13:20 cbradney Status resolved => closed